----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 12.10.2021 08:26:49
-- Design Name: 
-- Module Name: dffsyn - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity dffsyn is
    Port ( d : in STD_LOGIC;
           h : in STD_LOGIC;
           set : in STD_LOGIC;
           reset : in STD_LOGIC;
           q : out STD_LOGIC);
end dffsyn;

architecture Behavioral of dffsyn is

begin
    process(h)
    begin
        if h'event and h='1' then
            if reset='1' then q<='0';
            elsif set='1' then q<='1';
            else q<=d; 
            end if;          
        end if;
    end process;
end Behavioral;
